Subject: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Oct 2015 12:36:02 +0300

> From: Rainer M Krug <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 01 Oct 2015 10:21:04 +0200
> 
> OK - it seems not to continue after some time after the breakpoint at
> line 4199.
> 
> Attached are the log and the script I used.
> 
> I'll leave the session open.
> 
> This seems to be triggered by something else - I manually entered "c"
> but it just gave me this output (also at the end of the log):
> 
> ,----
> | (gdb) c
> | Continuing.
> | 
> | Program received signal EXC_BAD_ACCESS, Could not access memory.
> | Reason: KERN_INVALID_ADDRESS at address: 0x00000000016519e0
> | free_realized_faces (c=0x1016519c0) at xfaces.c:4199
> | 4199	      c->used = 0;
> | (gdb) p c->used
> | $502 = 26
> | (gdb)
> `----

This is strange: the problematic address, 0x00000000016519e0, is the
address of the cache (0x1016519c0) with the 33rd bit reset.  Are you
sure you don't have some hardware problem on that machine?

Or maybe it's a GDB bug?  Or even some kernel bug?

I don't really understand what this means.  I can only suggest to run
another session with the same commands, and see if it fails in the
same way.

Thanks.